Subject: bug#27881: New major mode: Less mode

From: Stefan Monnier <[email-masked]>
Date: Thu, 03 Aug 2017 16:08:58 -0400

>> See some comments below.  One thing, tho: an alternative would be to
>> put it into its own file, which would give it more visibility
> Fine by me. Should we perhaps do the same for SCSS mode?

We could, but since scss-mode was already included in Emacs-25.1
(i.e. it's been distributed officially for a while now), it's not
as important.

Putting it in its own file makes it possible to distribute it via
GNU ELPA without having to wait for Emacs-26 to be released.

> I've removed the autoloads from the defcustoms. How does one autoload
> safety info?

    ;;;###autoload
    (put '<VAR> 'safe-local-variable '<PRED>)

-- Stefan